@echo off
call check-for-admin
if %ERRORLEVEL% neq 0 exit /b

set OPT=..\optional
set SOFTWARE=..\software
set MSI=pdf24-setup.msi
set CONFIG=config\pdf24.reg

if NOT EXIST %SOFTWARE%\%MSI% (
  echo ERROR: %SOFTWARE%\%MSI% not found!
  exit /b
)

echo ####### %0 #######

echo installing PDF24 ...
cd %SOFTWARE%
@echo on
msiexec /i %MSI% /q
@echo off
cd %OPT%

echo tweaking PDF24 ...
reg import %CONFIG%

echo removing Desktop icons ...
del /F "%PUBLIC%\Desktop\PDF24.lnk" 2>nul
del /F "%USERPROFILE%\Desktop\Online PDF Tools.url" 2>nul

echo refreshing desktop (W10 style) ...
ie4uinit.exe -show

echo ####### %0 #######
pause

